commit:     c455eb27b86e4cbc6e744535456419d899e39374
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  9 15:51:26 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Apr  9 16:10:08 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c455eb27

app-shells/autojump: Version bump to 22.5.3

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 app-shells/autojump/Manifest               |  1 +
 app-shells/autojump/autojump-22.5.3.ebuild | 76 ++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/app-shells/autojump/Manifest b/app-shells/autojump/Manifest
index 03334480107..6127b32c7a8 100644
--- a/app-shells/autojump/Manifest
+++ b/app-shells/autojump/Manifest
@@ -1,2 +1,3 @@
 DIST autojump-22.2.4.tar.gz 52724 BLAKE2B 
42d5db90d4a29c63f5cd79437ca005f9f6382a607ab9284244fd6bbcf539509c5043df71ab305a5e8420ec225f8d651411d327833762737e0a5ad828ac021d2b
 SHA512 
bdfca07bb57b3a2733a2085af14f23c3e980b1b00db1c90247c2341ac73f60f171bdde29dd9917aac0808d0b8f2902d48096c990e09281745a71755f5abc921c
 DIST autojump-22.5.1.tar.gz 54721 BLAKE2B 
ea3a852dddc13ece5ff177be0b3f384e5dcb19795d31d22edae90dba19fe3e78a4b78f48f08c338521d89d57af6251d5690c62eab445229812adb154286b0d5c
 SHA512 
ed1bb28b62d14a481d5c8ee8ebbfc286d21ca54c961904f81ac123c784e17810217dfe1689bdd4b50fd7a9d72509c0cb13583a9817074f6afe26dc3144f64243
+DIST autojump-22.5.3.tar.gz 55429 BLAKE2B 
3a2773669f81d1a54c01cce9fe75bc01609265998b035b4ba1aa064f1132acf852b59eb04ebfa744e628152f0ab478cbef24e5aff326bf84cec6e2c9348e8360
 SHA512 
d1dd3cbb67fda4e0a17ec5028b947faf46be8a95a6cd8418127b927f42bc95b71538a06658b38b479c77d147a6cd5e8cef77639ef538c7d449414c469c13f140

diff --git a/app-shells/autojump/autojump-22.5.3.ebuild 
b/app-shells/autojump/autojump-22.5.3.ebuild
new file mode 100644
index 00000000000..fe3883cf63e
--- /dev/null
+++ b/app-shells/autojump/autojump-22.5.3.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
+
+inherit bash-completion-r1 python-r1 vcs-snapshot
+
+DESCRIPTION="change directory command that learns"
+HOMEPAGE="https://github.com/wting/autojump";
+SRC_URI="https://github.com/wting/${PN}/archive/release-v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~mips ~ppc ~ppc64 ~x86 ~x64-macos"
+IUSE="ipython test"
+REQUIRED_USE="ipython? ( ${PYTHON_REQUIRED_USE} )"
+
+# Not all tests pass. Need investigation.
+RESTRICT="test"
+RDEPEND="ipython? ( ${PYTHON_DEPS} )"
+DEPEND="${PYTHON_DEPS}"
+
+src_prepare() {
+       eapply_user
+       sed -e "s: \(/etc/profile.d\): \"${EPREFIX}\1\":" \
+               -e "s:/usr/local/share:/usr/share:" \
+               -i bin/autojump.sh || die
+
+       # autojump_argparse is only there for Python 2.6 compatibility
+       sed -e "s:autojump_argparse:argparse:" \
+               -i bin/autojump || die
+}
+
+src_compile() {
+       :
+}
+
+src_install() {
+       dobin bin/"${PN}"
+       python_replicate_script "${ED}"/usr/bin/"${PN}"
+
+       insinto /etc/profile.d
+       doins bin/"${PN}".sh
+
+       insinto /usr/share/"${PN}"/
+       doins bin/"${PN}.bash"
+       doins bin/"${PN}.zsh"
+       doins bin/"${PN}.fish"
+       insinto /usr/share/zsh/site-functions
+       doins bin/_j
+
+       python_foreach_impl python_domodule bin/autojump_argparse.py 
bin/autojump_data.py \
+               bin/autojump_match.py bin/autojump_utils.py
+       if use ipython; then
+               python_foreach_impl python_domodule tools/autojump_ipython.py
+       fi
+
+       doman docs/"${PN}.1"
+       einstalldocs
+}
+
+pkg_postinst() {
+       if use ipython; then
+               elog 'This tool provides "j" for ipython, please add'
+               elog '"import autojump_ipython" to your ipy_user_conf.py.'
+               elog
+       fi
+
+       elog 'If you use app-shells/fish, add the following code to your'
+       elog 'config.fish to get autojump support:'
+       elog 'if test -f /usr/share/autojump/autojump.fish'
+       elog '    source /usr/share/autojump/autojump.fish'
+       elog 'end'
+}

Reply via email to